import React from 'react';
import { TooltipActivationT, RCTooltipAlignT } from '@rmwc/provider';
/** A Tooltip component for displaying informative popover information. */
export interface RCTooltipProps {
    /** The overlay content for the tooltip. */
    content: React.ReactNode;
    /** The children that the tooltip belongs to. Must be a ReactElement. */
    children: React.ReactElement;
    /** Activate the tooltip through one or more interactions. Defaults to `['hover', 'focus']`. */
    activateOn?: TooltipActivationT | TooltipActivationT[];
    /** Whether or not to show an arrow on the Tooltip. Defaults to `false`. */
    showArrow?: boolean;
    /** Custom className to add to the tooltip overlay container. */
    className?: string;
    /** Delay in milliseconds before showing the tooltip when interacting via touch or mouse. */
    enterDelay?: number;
    /** Delay in milliseconds before hiding the tooltip when interacting via touch or mouse. */
    leaveDelay?: number;
    /** How to align the tooltip. Defaults to `top`. */
    align?: RCTooltipAlignT;
    /** Manually control the open state */
    open?: boolean;
}
/** A Tooltip component for displaying informative popover information. */
export declare const RCTooltip: ({ children, content, className, open, ...rest }: RCTooltipProps) => import("react/jsx-runtime").JSX.Element;
